<?php
namespace Incoviba;

use \Model;

class EstadoVenta extends Model {
  public static $_table = 'estado_venta';

  protected $tipo;
  public function tipo() {
    if ($this->tipo === null) {
      $this->tipo = $this->belongs_to(TipoEstadoVenta::class, 'estado')->find_one();
    }
    return $this->tipo;
  }
  protected $venta_obj;
  public function venta() {
    if ($this->venta_obj === null) {
      $this->venta_obj = $this->belongs_to(Venta::class, 'venta')->find_one();
    }
    return $this->venta_obj;
  }
}
